Page MenuHomePhabricator

Review & deploy mediawiki/extensions/FundraisingChart
Closed, InvalidPublic

Description

FundraisingChart is a tag extension that provides embeddable charts for Fundraising datasets.


Version: unspecified
Severity: normal

Details

Reference
bz65834

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:10 AM
bzimport set Reference to bz65834.
bzimport added a subscriber: Unknown Object (MLST).
greg added a comment.May 28 2014, 3:28 PM

From: https://www.mediawiki.org/wiki/Review_queue

Checklist

Done

  1. Create Extension: mediawiki.org page for developers and people who will install or configure the extension.
  2. Get the extension code in [[Gerrit]].

Not Done

(as far as I can tell)

  1. Request a component in [[Bugzilla]].
  2. Request (and respond to) a performance review
  3. Request (and respond to) a security review

Where is the extension destined to be deployed?

(In reply to Sam Reed (reedy) from comment #3)

Where is the extension destined to be deployed?

Sorry, collab and meta

Any update for this? Fundraising is hoping to use this extension for our fiscal year-end report, which will be published at the end of August. Thanks!

(In reply to Sherah Smith from comment #5)

Any update for this? Fundraising is hoping to use this extension for our
fiscal year-end report, which will be published at the end of August. Thanks!

I've opened a couple of cleanup bugs, which seemingly haven't been touched yet.

Getting those fixed up would be nice. I can give the code another code pass

I suspect a performance review isn't so much required (or at least, isn't so important) as the extension isn't doing a load of DB queries for example

(In reply to Sam Reed (reedy) from comment #6)

(In reply to Sherah Smith from comment #5)

Any update for this? Fundraising is hoping to use this extension for our
fiscal year-end report, which will be published at the end of August. Thanks!

I've opened a couple of cleanup bugs, which seemingly haven't been touched
yet.
Getting those fixed up would be nice. I can give the code another code pass
I suspect a performance review isn't so much required (or at least, isn't so
important) as the extension isn't doing a load of DB queries for example

Great! Thanks for the update. Will be working on cleaning this up this week between pre-Wikimania crunch tasks. :)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2015, 10:33 AM
demon closed this task as Invalid.Jan 24 2017, 11:05 PM
demon added a subscriber: demon.

Not needed/wanted anymore, best I can tell.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 24 2017, 11:05 PM